#ifndef PLOG_CONTEXT_INFO_H
#define PLOG_CONTEXT_INFO_H

#include <windows.h>

namespace plog
{
    struct context_info
    {
        SYSTEMTIME time;
        unsigned tid;
        const char* file;
        const char* func_name;
        size_t line;
        const void* object;

        context_info();
        context_info(
            const char* filex, 
            const char* func_namex, 
            size_t linex, 
            unsigned tidx, 
            const void* objx, 
            SYSTEMTIME* timex = NULL);
    };

}
#endif