#ifndef PLOG_CUSTOM_LOG_H
#define PLOG_CUSTOM_LOG_H

#include <string>

#include "plog/log_level.h"
#include "plog/context_info.h"

namespace plog
{
    struct custom_log
    {
        virtual ~custom_log() {}

        virtual void log(log_level level, context_info context, const std::string& msg) = 0;
    };
}

#endif