#ifndef PLOG_CUSTOM_LOG_PROXY_LOGGER_H
#define PLOG_CUSTOM_LOG_PROXY_LOGGER_H

#include "plog/logger.h"

namespace plog
{
    struct custom_log;

    class custom_log_proxy_logger: public logger
    {
    public:
        custom_log_proxy_logger(custom_log* clog);

        void write(const message& msg);
        bool check_severity(log_level severity);

    private:
        custom_log* log_;
    };

}

#endif
