#ifndef PLOG_DEBUG_APPENDER_H
#define PLOG_DEBUG_APPENDER_H

#include "appender.h"

namespace plog
{

    //////////////////////////////////////////////////////////////////////////

    class debug_output_appender: public appender
    {
    public:
        debug_output_appender(log_level min_severity = none);

        virtual void write(const void* buffer, size_t length);
        virtual void write_header(const void* buffer, size_t length);
    };

} //namespace

#endif // PLOG_DEBUG_APPENDER_H