#ifndef PLOG_LOG_ERROR_OBSERVER_H
#define PLOG_LOG_ERROR_OBSERVER_H

namespace plog
{

    //////////////////////////////////////////////////////////////////////////

    struct error_observer
    {
        virtual ~error_observer();
        virtual void on_error(const char* error_msg) =0;
    };

    void set_error_observer(error_observer* observer); // may throw

    error_observer* get_error_observer();

    error_observer* release_error_observer();
}

#endif // PLOG_LOG_ERROR_OBSERVER_H