#include "plog/debug_output_appender.h"

#include <windows.h>
#include <string>

plog::debug_output_appender::debug_output_appender(log_level min_severity) 
: appender(min_severity)
{
}

void plog::debug_output_appender::write(const void*  buffer, size_t length)
{
    std::string str(static_cast<const char*>(buffer), length);
    ::OutputDebugStringA(str.c_str());
}

void plog::debug_output_appender::write_header(const void*, size_t )
{
}
