#ifndef FILE_UTILS_H
#define FILE_UTILS_H

#include <windows.h>
#include <vector>
#include <tchar.h>

namespace plog
{
    namespace detail
    {
        bool is_pending_for_deletion(HANDLE file_handle);
        bool is_file_exists(const wchar_t* file_name);
        void delete_file(const wchar_t* file_name);
        void init_file_utils();
    }
}

#endif //FILE_UTILS_H