#include "plog/ostream_appender.h"

#include <ostream>

plog::ostream_appender::ostream_appender(std::ostream& stream, log_level min_severity) 
: appender(min_severity),
stream_(stream)
{
}

void plog::ostream_appender::write(const void*  buffer, size_t length)
{
    stream_.write(static_cast<const char*>(buffer), length);
}

void plog::ostream_appender::write_header(const void*, size_t)
{
}
