#include "plog/raw_formatter.h"

#include <algorithm>
#include <windows.h>
#include <cstdlib>

size_t plog::raw_formatter::format(const message& msg, char* buffer, size_t buffer_size) const
{
    int res = _snprintf_s(buffer, buffer_size, _TRUNCATE, "%.*s\n", msg.size(), msg.first());
    return (res == -1) ? buffer_size-1 : res;
}

size_t plog::raw_formatter::header_size() const
{
    return 0;
}

const char* plog::raw_formatter::header() const
{
    return "";
}
