#include "plog/str_utils.h"

const char* plog::detail::base_name(const char* full_file_name)
{
    size_t lastSlash = 0;
    for(size_t i = 0; full_file_name[i] != 0; ++i)
    {
        if (full_file_name[i] == '/' || full_file_name[i] == '\\')
        {
            lastSlash = i;
        }
    }

    if (lastSlash != 0)
    {
        ++lastSlash;
    }

    return full_file_name + lastSlash;
}