@echo off

setlocal enableextensions
setlocal enabledelayedexpansion

title cleanig all...

cls

echo cleaning all...
echo.

echo ..deleting *.ncb
if exist *.ncb del /s /q /f /as /ah /ar /aa *.ncb
echo.

echo ..deleting *.suo
if exist *.suo del /s /q /f /as /ah /ar /aa *.suo
echo.

echo ..deleting binaries
if exist .\bin rd /s /q .\bin
echo.

echo ..deleting static libraries and generated source files
if exist .\lib rd  /s /q .\lib
echo.

echo ..deleting object files and other intermediate build results
if exist .\obj rd /s /q .\obj
echo.

echo ..cleaning up sources
for /f "delims=" %%d in ('dir /ad /b /s .\') do call:clean_up_source_directory "%%d"
echo.

echo ..changing files attributes
attrib -r -a -s -h *.* /s
echo.

goto end_of_script

:: subroutines
:clean_up_source_directory
echo ..cleaning up source directory %1
if exist %1\*.user del /s /q /f /as /ah /ar /aa %1\*.user
echo.
exit /b

:end_of_script