#ifndef PLOG_CONFIG_H
#define PLOG_CONFIG_H

#ifdef _MSC_BUILD
    #ifdef _M_AMD64
        #define PLOG_BUILD_ARCHITECTURE "x64"
    #else  // Win32
        #define PLOG_BUILD_ARCHITECTURE "Win32"
    #endif

    #ifdef _DEBUG
        #define PLOG_BUILD_CONFIGURATION "Debug"
    #else // Release
        #define PLOG_BUILD_CONFIGURATION "Release"
    #endif

    #if (_MSC_VER == 1700)
        #define PLOG_BUILD_ENVIRONMENT "vs2012"
    #elif (_MSC_VER == 1600)
        #define PLOG_BUILD_ENVIRONMENT "vs2010"
    #elif (_MSC_VER == 1500)
        #define PLOG_BUILD_ENVIRONMENT "vs2008"
    #endif

    #pragma comment( lib, "plog-" PLOG_BUILD_ENVIRONMENT "-" PLOG_BUILD_CONFIGURATION "-" PLOG_BUILD_ARCHITECTURE ".lib" )
#endif // _MSC_BUILD

#endif //PLOG_CONFIG_H
