#ifndef PLOG_FORMATTER_H
#define PLOG_FORMATTER_H

#include "plog/log_message.h"

namespace plog
{
    class formatter
    {
    public:
        virtual ~formatter() {}

        virtual const char* header() const =0;
        virtual size_t header_size() const =0;

        virtual size_t format(const message& msg, char* buffer, size_t buffer_size) const =0;
    };

}
#endif // PLOG_FORMATTER_H