#include "plog/custom_log_proxy_logger.h"
#include "plog/custom_log.h"
#include "plog/log_message.h"

plog::custom_log_proxy_logger::custom_log_proxy_logger(custom_log* clog)
: log_(clog)
{

}

bool plog::custom_log_proxy_logger::check_severity(log_level )
{
    return true;
}

void plog::custom_log_proxy_logger::write(const message& msg)
{
    log_->log(msg.severity(), msg.context(), msg.text());
}