#include "plog/logger.h"
#include "plog/log_message.h"

plog::logger& plog::operator+=(plog::logger& l,const plog::message& msg)
{
    if (l.check_severity(msg.severity()))
    {
        l.write(msg);
    }
    return l;
}

const std::locale& plog::logger::get_locale()
{
    return locale_;
}

plog::logger::logger()
: locale_("")
{

}
